OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SUNX.ConstantData

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSUNXConstantData :: MonadIO m => m Bool
- gl_SUNX_constant_data :: Bool
- pattern GL_TEXTURE_CONSTANT_DATA_SUNX :: GLenum
- pattern GL_UNPACK_CONSTANT_DATA_SUNX :: GLenum
- glFinishTextureSUNX :: MonadIO m => m ()

# Extension Support

glGetSUNXConstantData :: MonadIO m => m Bool Source #

Is the SUNX_constant_data extension supported?

gl_SUNX_constant_data :: Bool Source #

Is the SUNX_constant_data extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNXConstantData` in those cases instead.

# Enums

pattern GL_TEXTURE_CONSTANT_DATA_SUNX :: GLenum Source #

pattern GL_UNPACK_CONSTANT_DATA_SUNX :: GLenum Source #

# Functions

glFinishTextureSUNX :: MonadIO m => m () Source #